function createHessianTensorFile(obj)
% createHessianTensorFile - generates an mFile that allows to compute the
% hessian tensor
%
% Syntax:  
%    createHessianTensorFile(obj)
%
% Inputs:
%    obj - nonlinear system object
%
% Outputs:
%
% Example: 
%
% Other m-files required: none
% Subfunctions: none
% MAT-files required: none
%
% See also: ---

% Author:       Matthias Althoff
% Written:      30-May-2011
% Last update:  ---
% Last revision:---

%------------- BEGIN CODE --------------

    
%load second order jacobian
J2=obj.jacobians.secondOrder;

%[x,u,dx,du] = symVariables(obj,'LRbrackets');

for k=1:length(J2(:,1,1))
    H{k} = squeeze(J2(k,:,:));
end

%change directory
cd('/media/New Volume/software/2011/CORA/contDynamics/stateSpaceModels') %<-- change directory here

fid = fopen('hessianTensor.m','w');
fprintf(fid, '%s\n\n', 'function H=hessianTensor(x,u)');
for k=1:length(H)
    str=['H{',num2str(k),'}=[...'];
    %write in file
    fprintf(fid, '%s\n', str);
    %save current matrix
    H_current = H{k};
    
    %loop through row vectors
    for iRow=1:(length(H_current(1,:))-1)
        %generate string
        str=[char(H_current(iRow,:)),'; ...'];
        str = strrep(str, 'matrix([[', '');
        str = strrep(str, ']])', '');
        %generate left and right brackets
        str = strrep(str,'L','(');
        str = strrep(str,'R',')');

        %write in file
        fprintf(fid, '%s\n', str);
    end
    
    %last row vector
    %generate string
    str=[char(H_current(iRow+1,:)),'];'];
    str = strrep(str, 'matrix([[', '');
    str = strrep(str, ']])', '');
    %generate left and right brackets
    str=strrep(str,'L','(');
    str=strrep(str,'R',')');

    %write in file
    fprintf(fid, '%s\n', str);
end

%close file
fclose(fid);

%------------- END OF CODE --------------