function checkExponentialMatrix()
% checkExponentialMatrix - check if exponential matrix can be computed
% exactly
%
% Syntax:  
%    checkTightEnclosure()
%
% Inputs:
%    ---
%
% Outputs:
%    ---
%
% Example: 
%
% Other m-files required: none
% Subfunctions: none
% MAT-files required: none
%
% See also: none

% Author: Matthias Althoff
% Written: 19-Apr-2010
% Last update: ---
% Last revision: ---

%------------- BEGIN CODE --------------

r=1;

dim=10;

% %init system
% Anom=[-1 -4; 4 -1]*r;
% %Anom=0*[-1 -4; 4 -1]*r;
% %Adiff=[0.25 0; 0 0.25];
% Adiff=[0.25 0.25; 0.25 0.25]*r;

%init system
Anom=rand(dim)*r;
%Anom=0*[-1 -4; 4 -1]*r;
%Adiff=[0.25 0; 0 0.25];
Adiff=0.1*rand(dim)*r;

A=interval(Anom-Adiff,Anom+Adiff);
twoDimSys=linIntSys07('twoDimSys',A,[1;1]);

% Asample=uniformSampling(twoDimSys,2);
% 
% %compute exponentials and keep maxima and minima
% dim=length(Anom);
% expMax=-inf*ones(dim);
% expMin=inf*ones(dim);
% 
% for i=1:length(Asample)
%     %compute exponential matrix
%     expMat=expm(Asample{i});
%     
%     %find new minimum and maximum entries
%     indMax=find(expMat>expMax);
%     indMin=find(expMat<expMin);
%     
%     %copy max/min entries
%     expMax(indMax)=expMat(indMax);
%     expMin(indMin)=expMat(indMin);
% end

expMin=[];
expMax=[];

% old computation
[eAtOld] = expOld(A);
[oldInf,oldSup]=infsup(eAtOld);

% new computation
[eAtNew] = expNew(A);
[newInf,newSup]=infsup(eAtNew);

%compare
disp('exact:');
expMin
disp('new:');
newInf
disp('old:');
oldInf

disp('exact:');
expMax
disp('new:');
newSup
disp('old:');
oldSup

%------------- END OF CODE --------------