function [eAt] = expNew(A)
% expm - computes the exponential of an interval matrix defined by a linear
% interval system object; type specifies if over- or underapproximation
% should be computed
%
% Syntax:  
%    [obj] = expm(obj)
%
% Inputs:
%    obj - linear interval system object
%    type - 'under' or 'over' for over- or underapproximation; default:
%    type='over'
%
% Outputs:
%    obj - linear interval system object
%
% Example: 
%    Text for example...
%
% Other m-files required: none
% Subfunctions: none
% MAT-files required: none
%
% See also: OTHER_FUNCTION_NAME1,  OTHER_FUNCTION_NAME2

% Author: Matthias Althoff
% Written: 19-April-2010
% Last update: ---
% Last revision: ---

%------------- BEGIN CODE --------------


%alternative computation (new)
Amid=mid(A);
deltaA=A-Amid;
deltaAsup=sup(deltaA);
deltaAabs=abs(deltaAsup);

%compute exponential matrices of Amid and deltaAabs separately
dim=length(Amid);
I=eye(dim);

expmMid=expm(Amid);
expmAbs=expm(deltaAabs);
expmDif=expmAbs-I;

%combine both results
symInt=interval(I-expmDif,I+expmDif);
eAt=expmMid*symInt;

%------------- END OF CODE --------------