function [Rencl]=fastEnclosure(HAnom,Anom,deltaA,options)


%initializations
Anom=sup(Anom);
Adelta=sup(deltaA);
deltaT=options.timeStep;

%compute the growth factors
%Anom
eAnom=expm(Anom*deltaT);
n_eAnom=norm(eAnom);

n_Anom=norm(Anom*deltaT);
N_eAnom=exp(n_Anom);

%deltaA
eAdelta=expm(Adelta*deltaT);
n_eAdelta=norm(eAdelta,inf); %in this case, the maximum singular value equals the infinity norm

%METHOD 1------------------------------------------------------------------

%get reachable sets
RnomAll=get(HAnom,'reachableSet');
Rnom=RnomAll.OT{1};

%growth factors over time
%combined gFactor
combGfactor=n_eAnom*n_eAdelta;
%added growth
addGfactor=n_eAdelta-1;

%get new norm value of reachable set
Rradius=radius(Rnom{1}); 
r(1)=addGfactor*Rradius;

totalSteps=ceil(options.tFinal/options.timeStep);
for i=1:(totalSteps-1)
    %get new norm value of reachable set
    Rradius=radius(Rnom{i+1});
    %update gFactor over time
    r(i+1)=combGfactor*r(i)+addGfactor*Rradius;
end


%METHOD 2------------------------------------------------------------------

nAnom=norm(Anom);
nAdelta=norm(Adelta,inf);

%construct B matrix
n_comb=n_eAnom*n_eAdelta;
B=[n_eAnom 0; n_comb-n_eAnom n_comb];

%loop
totalSteps=ceil(options.tFinal/options.timeStep);

rComb(:,1)=[radius(Rnom{1}); 0];
for i=1:(totalSteps-1)
    %update gFactor over time
    rComb(:,i+1)=B*rComb(:,i);
end

rAlt=rComb(2,:);

plot(r);
hold on
plot(rAlt);


%compute enclosing reachable set
dim=length(Anom);
o=ones(dim,1);

for i=1:(totalSteps-1)
    rTmp=rAlt(i+1);
    IHadd=intervalhull(o*[-rTmp,rTmp]);
    Zadd=zonotope(IHadd);
    Rencl{i}=Rnom{i}+Zadd;
end



