function singularValueTest()

%set time increment
deltaT=0.1;

%set system matrix
%A=[-1 -4; 4 -1];
A=[-1 -4; 2 -1];
deltaA=[0.1 0.1; 0.1 0.1];

Anew=A+deltaA;

%compute exponential matrix
eAt=expm(A*deltaT);

%compute singular values
[U,S,V]=svd(eAt);

%generate random zonotope
dim=2;
Z=randomZonotope(dim,2*dim,'uniform')+ones(dim,1);
cInit=center(Z);

%compute set at future point in time
Zexact=eAt*Z;
cExact=center(Zexact);

%compute enclosing zonotope
growthFactor=norm(eAt);
Zoriented=V*(Z+(-cInit));
Zenclosed=U*growthFactor*box(Zoriented)+cExact;

%plot results
plot(Zexact);
plot(Zenclosed);
