function singularValueTest3()

%set time increment
deltaT=0.1;

%set system matrix
%A=[-1 -4; 4 -1];
A=[-1 -4; 2 -1];
deltaA=[0.1 0.1; 0.1 0.1];

Anew=A+deltaA;

%compute exponential matrix
eAt=expm(Anew*deltaT);

%generate random zonotope
dim=2;
Z=randomZonotope(dim,2*dim,'uniform')+ones(dim,1);
cInit=center(Z);

%compute set at future point in time
Zexact=eAt*Z;
cExact=center(Zexact);

%nominal solution
eAtnom=expm(A*deltaT);
Znom=eAtnom*Z;

%compute singular values
[U,S,V]=svd(eAtnom);

%delta solution
eAtdelta=expm(deltaA*deltaT);

%compute enclosing zonotope
growthFactor=norm(eAtdelta);
growthFactor2=norm(eAtdelta,inf);
Zadd=(growthFactor-1)*box(Z);

Zenclose=Znom+Zadd;

%plot results
plot(Zexact);
plot(Zenclose);
