function dist = Hausdorff(matI,matrix)
% Hausdorff - computes the Hausdorff distance between an interval hull and
% a finite set of matrices
%
% Syntax:  
%    dist = Hausdorff(matI,matrix)
%
% Inputs:
%    matI - interval matrix
%    matrix - cell array of matrices
%
% Outputs:
%    dist - Hausdorff distance
%
% Example: 
%
% Other m-files required: vertices, polytope
% Subfunctions: none
% MAT-files required: none
%
% See also: ---

% Author:       Matthias Althoff
% Written:      23-June-2010
% Last update:  ---
% Last revision:---

%------------- BEGIN CODE --------------

%obtain vertices
V=vertices(matI);
    
%compute distance between all vertices and all given matrices
dist=0;
for i=1:length(V)
    for j=1:length(matrix)
        d=norm(V{i}-matrix{j});
        if d>dist
            dist=d;
        end
    end
end




%------------- END OF CODE --------------