function IH = intervalhull(matI)
% intervalhull - Converts an intreval matrix to an interval hull
%
% Syntax:  
%    IH = intervalhull(matI)
%
% Inputs:
%    matI - interval matrix
%
% Outputs:
%    IH - interval hull
%
% Example: 
%
% Other m-files required: vertices, polytope
% Subfunctions: none
% MAT-files required: none
%
% See also: ---

% Author:       Matthias Althoff
% Written:      21-June-2010
% Last update:  ---
% Last revision:---

%------------- BEGIN CODE --------------

%convert matrix limits
leftLimit = mat2vec(inf(matI.int));
rightLimit = mat2vec(sup(matI.int));
    
%instantiate interval hull (using MPT toolbox)
IH=intervalhull([leftLimit,rightLimit]);




%------------- END OF CODE --------------