function plot(varargin)
% plot - Plots 2-dimensional projection of an interval matrix
%
% Syntax:  
%    plot(obj,dimensions)
%
% Inputs:
%    obj - interval matrix
%    dimensions - dimensions that should be projected (optional) 
%
% Outputs:
%    none
%
% Example: 
%
% Other m-files required: none
% Subfunctions: none
% MAT-files required: none
%
% See also: none

% Author:       Matthias Althoff
% Written:      22-June-2010
% Last update:  ---
% Last revision:---

%------------- BEGIN CODE --------------

%convert to interval matrix to intervalhull
IH=intervalhull(varargin{1});
    
%plot intervalhull
if nargin==1
    plot(IH);
elseif nargin==2
    plot(IH,varargin{2});
else
    plot(IH,varargin{2},varargin{3});
end

%------------- END OF CODE --------------