function [P,orient] = polytope(varargin)
% polytope - Converts a zonotope to a polytope representation
%
% Syntax:  
%    [P] = polytope(Z)
%
% Inputs:
%    Z - zonotope object
%
% Outputs:
%    P - polytope object
%
% Example: 
%    Z=zonotope(rand(2,5));
%    P=polytope(Z);
%    plot(P);
%    hold on
%    plot(Z);
%
% Other m-files required: vertices, polytope
% Subfunctions: none
% MAT-files required: none
%
% See also: intervalhull,  vertices

% Author: Matthias Althoff
% Written: 18-September-2007
% Last update: ---
% Last revision: ---

%------------- BEGIN CODE --------------

if nargin==1
     Z=varargin{1};
     
    [Z,orient]=reduce(Z,'methC');
    P=parallelotope(Z);
    
%     orient=[];
%     Zred=reduce(Z,'methE',2);
%     P=multiPolytope(Zred{1},Zred);    
elseif nargin==2
    Z=varargin{1};
    direction=varargin{2};
    
    [Zenclose] = dirPolytopeNew(Z,direction);
    P=parallelotope(Zenclose);    
end

%reduce zonotope
%P=reduce(Z,'best');

%[P,orient]=reduce(Z,'methG',1);
%[P,orient]=reduce(Z,'best2');




%------------- END OF CODE --------------